gtkmm 2.4: Atk::Image Class Reference

Main Page Widgets Namespaces Book

# Atk::Image Class Reference

Inheritance diagram for Atk::Image:
[legend]
List of all members.

## Detailed Description

The ATK Interface implemented by components which expose image or pixmap content on-screen.

This should be implemented by Atk::Object subtypes on behalf of components which display image/pixmap information onscreen, and which provide information (other than just widget borders, etc.) via that image content. For instance, icons, buttons with icons, toolbar elements, and image viewing panes typically should implement AtkImage.

Atk::Image primarily provides two types of information: coordinate information (useful for screen review mode of screenreaders, and for use by onscreen magnifiers), and descriptive information. The descriptive information is provided for alternative, text-only presentation of the most significant information present in the image.

## Public Member Functions
Glib::ustring | get_image_description () const
| Get a textual description of this image.
void | get_image_position (int& x, int& y, CoordType coord_type) const
| Gets the position of the image in the form of a point specifying the images top-left corner.
void | get_image_size (int& width, int& height) const
| Get the width and height in pixels for the specified image.
const AtkImage* | gobj () const
| Provides access to the underlying C GObject.
AtkImage* | gobj ()
| Provides access to the underlying C GObject.
bool | set_image_description (const Glib::ustring& description)
| Sets the textual description for this image.
virtual | ~Image ()
## Static Public Member Functions
void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual const char* | get_image_description_vfunc () const
virtual void | get_image_position_vfunc (int& x, int& y, CoordType coord_type) const
virtual void | get_image_size_vfunc (int& width, int& height) const
virtual bool | set_image_description_vfunc (const Glib::ustring& description)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Atk::Image> | wrap (AtkImage* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::Image::~Image | ( |  | ) | `[virtual]`

## Member Function Documentation

void Atk::Image::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::ustring Atk::Image::get_image_description | ( |  | ) | const

| Get a textual description of this image. Returns: A string representing the image description.

virtual const char* Atk::Image::get_image_description_vfunc | ( |  | ) | const`[protected, virtual]`

void Atk::Image::get_image_position | ( | int& | x,
|  | int& | y,
|  | CoordType | coord_type
| ) | const

  | Gets the position of the image in the form of a point specifying the images top-left corner. The values of x and y are returned as -1 if the values cannot be obtained. Parameters:
  | x | Address of `int` to put x coordinate position.
  | y | Address of `int` to put y coordinate position.
  | coord_type | Specifies whether the coordinates are relative to the screen or to the components top level window.

virtual void Atk::Image::get_image_position_vfunc | ( | int& | x,
|  | int& | y,
|  | CoordType | coord_type
| ) | const`[protected, virtual]`

void Atk::Image::get_image_size | ( | int& | width,
|  | int& | height
| ) | const

  | Get the width and height in pixels for the specified image. The values of width and height are returned as -1 if the values cannot be obtained. Parameters:
  | width | Filled with the image width.
  | height | Filled with the image height.

virtual void Atk::Image::get_image_size_vfunc | ( | int& | width,
|  | int& | height
| ) | const`[protected, virtual]`

const AtkImage* Atk::Image::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

AtkImage* Atk::Image::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

bool Atk::Image::set_image_description | ( | const Glib::ustring& | description | ) |

  | Sets the textual description for this image. Parameters:
  | description | A string description to set for image .
Returns: Boolean `true`, or `false` if operation could not be completed.

virtual bool Atk::Image::set_image_description_vfunc | ( | const Glib::ustring& | description | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Image> wrap | ( | AtkImage* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- atk/atkmm/image.h